%define plugin_dir %{_libdir}/%{name}/plugins
%define translations_dir %{_datadir}/%{name}/translations
%define settings_dir %{_datadir}/%{name}/settings
%define azoth_dir %{_datadir}/%{name}/azoth
%define full_version %{version}-%{release}

Name:           leechcraft 
Summary:        A Cross-Platform Modular Internet-Client 
Version:        0.5.80
Release:        1%{?dist}
License:        GPLv2+
Group:          Applications/Internet
Url:            http://leechcraft.org
Source0:        http://freefr.dl.sourceforge.net/project/leechcraft/LeechCraft/0.5.80/leechcraft-0.5.80.tar.xz
Source1:        %{name}.desktop
Patch2:         defaultstyle.patch

BuildRequires:  cmake
BuildRequires:  xz
BuildRequires:  openssl-devel
BuildRequires:  boost-devel 
BuildRequires:  qt4-devel
BuildRequires:  qt-webkit-devel
BuildRequires:  bzip2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  oxygen-icon-theme
BuildRequires:  gettext-devel
BuildRequires:  gtk2
BuildRequires:  libmsn-devel
BuildRequires:  telepathy-qt4-devel
BuildRequires:  poppler-qt-devel
BuildRequires:  hunspell-devel

#Poshuku dependencies
BuildRequires:  qjson-devel

#LMP dependencies
BuildRequires:  phonon-devel

#Popishu dependencies
BuildRequires:  qscintilla-devel

#BitTorrent dependencies
BuildRequires:  rb_libtorrent-devel >= 0.15.6

#Azoth dependencies
BuildRequires:  aspell-devel
BuildRequires:  aspell
BuildRequires:  speex-devel
BuildRequires:  qxmpp-dev-devel >= 0.6.3.1
BuildRequires:  GeoIP-devel 
BuildRequires:  qca2-devel

#for leechcraft-anhero
BuildRequires:  kdelibs4-devel

#for lmp
BuildRequires:  taglib-devel

Provides: leechcraft-iconset-oxygen = %{full_version}
Provides: leechcraft-iconset-tango = %{full_version}

Obsoletes: leechcraft-iconset-oxygen < %{full_version}
Obsoletes: leechcraft-iconset-tango < %{full_version}

Provides:       leechcraft-eiskaltcpp%{?_isa} = %{full_version}
Obsoletes:      leechcraft-eiskaltcpp%{?_isa} < %{full_version}
Provides:       leechcraft-tabpp%{?_isa} = %{full_version}
Obsoletes:      leechcraft-tabpp%{?_isa} < %{full_version}

%description
Core executable of Leechcraft
Leechcraft is a free modular "internet client" application.

Leechcraft allows to browse the web, read rss/atom feeds, download
files via bittorrent, http, ftp and dc, automatically stream,
download or play podcasts a other media files and much more.

features can be easily added via plugins that can be integrated with
each other with no effort while staying abstract from the exact
implementation.

this package contains the main leechcraft executable, which connects
all the plugins with each other, routes requests between them, tracks
dependencies and performs several other housekeeping tasks.

%package full
Summary:        Metapackage Containing All Ready-To-Use LeechCraft Plugins
Requires:       %{name}-aggregator%{?_isa} = %{full_version}
Requires:       %{name}-auscrie%{?_isa} = %{full_version}
Requires:       %{name}-popishu%{?_isa} = %{full_version}
Requires:       %{name}-cstp%{?_isa} = %{full_version}
Requires:       %{name}-dbusmanager%{?_isa} = %{full_version}
Requires:       %{name}-deadlyrics%{?_isa} = %{full_version}
Requires:       %{name}-historyholder%{?_isa} = %{full_version}
Requires:       %{name}-kinotify%{?_isa} = %{full_version}
Requires:       %{name}-lmp%{?_isa} = %{full_version}
Requires:       %{name}-networkmonitor%{?_isa} = %{full_version}
Requires:       %{name}-newlife%{?_isa} = %{full_version}
Requires:       %{name}-poshuku%{?_isa} = %{full_version}
Requires:       %{name}-pintab%{?_isa} = %{full_version}
Requires:       %{name}-poshuku-onlinebookmarks%{?_isa} = %{full_version}
Requires:       %{name}-seekthru%{?_isa} = %{full_version}
Requires:       %{name}-summary%{?_isa} = %{full_version}
Requires:       %{name}-vgrabber%{?_isa} = %{full_version}
Requires:       %{name}-shellopen%{?_isa} = %{full_version}
Requires:       %{name}-secman%{?_isa} = %{full_version}
Requires:       %{name}-azoth%{?_isa} = %{full_version}
Requires:       %{name}-bittorrent%{?_isa} = %{full_version}
Requires:       %{name}-advancednotifications%{?_isa} = %{full_version}
Requires:       %{name}-glance%{?_isa} = %{full_version}
Requires:       %{name}-tabslist%{?_isa} = %{full_version}
Requires:       %{name}-syncer%{?_isa} = %{full_version}
Requires:       %{name}-knowhow%{?_isa} = %{full_version}
Requires:       %{name}-blackdash%{?_isa} = %{full_version}
Requires:       %{name}-choroid%{?_isa} = %{full_version}
Requires:       %{name}-gmailnotifier%{?_isa} = %{full_version}
Requires:       %{name}-lackman%{?_isa} = %{full_version}

%description full
Metapackage containing all ready-to-use LeechCraft plugins.


%package devel
Summary:    Leechcraft Development Files
Requires:   %{name}%{?_isa} = %{full_version}
Group:      Development/Libraries

%description devel
This package contains header files required to develop new modules for
LeechCraft.


%package aggregator
Summary:        LeechCraft Aggregator Module
Requires:       %{name}-cstp%{?_isa} = %{full_version}

Provides:       leechcraft-aggregator-bodyfetch%{?_isa} = %{full_version}
Obsoletes:      leechcraft-aggregator-bodyfetch%{?_isa} < %{full_version}
 
%description aggregator
RSS/Atom feed reader for LeechCraft.
 
A web browser plugin is recommended to show the news in a fancy way.


%package auscrie
Summary:        LeechCraft Auscrie Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description auscrie
Screenshooter for LeechCraft.
 
This package contains Auscrie, an auto screenshooter for LeechCraft.
It can make screenshots of LeechCraft and then either save them locally
or upload them to an imagebin.

 
%package popishu
Summary:        Leechcraft Popishu Module
Requires:       %{name}%{?_isa} = %{full_version}
Requires:       qscintilla

%description popishu
Popishu is a text editor for Leechcraft.

 
%package cstp
Summary:        LeechCraft HTTP Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description cstp
HTTP client for LeechCraft.
 
This package contains clean and simple HTTP implementation.

 
%package dbusmanager
Summary:        Leechcraft D-Bus Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description dbusmanager
D-Bus side of LeechCraft.
 
This package provides some DBus-related features, like integration with
desktop notifications (KDE ≥ 4.4 and others supporting libnotify
interfaces).

 
%package deadlyrics
Summary:        LeechCraft Lyrics Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description deadlyrics
Song lyrics finder for LeechCraft.
 
This package contains a simple client for finding song lyrics on various
sites.

 
%package historyholder
Summary:        LeechCraft History Module
Requires:       %{name}%{?_isa} = %{full_version}

%description historyholder
History keeper for LeechCraft.
 
This package contains a history keeper that stores information about
finished downloads and similar events.

 
%package kinotify
Summary:        LeechCraft Kinotify Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description kinotify
Fancy notifications for LeechCraft.
 
This package contains Kinotify which provides fancy notifications for
LeechCraft instead of old-style tray-based ones.

 
%package lmp
Summary:        LeechCraft LMP Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description lmp
Media previewer for LeechCraft.
 
This package contains the LMP, LeechCraft Media Previewer, small and
dirty media player designed to preview already downloaded files or to
stream media content live.


%package networkmonitor
Summary:        LeechCraft Network Monitor Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description networkmonitor
Network monitor for LeechCraft.
 
This package contains a monitor that watches for HTTP requests
and responses around.

 
%package newlife
Summary:        LeechCraft Importer Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description newlife
Settings importer for LeechCraft.
 
This package contains importer of settings, preferences etc. from
various applications into LeechCraft. Currently it supports importing
RSS feeds and settings from Akregator and Liferea.

 
%package poshuku
Summary:        LeechCraft Web Browser Module
Requires:       %{name}%{?_isa} = %{full_version}

Provides: leechcraft-poshuku-cleanweb = %{full_version}
Provides: leechcraft-poshuku-filescheme = %{full_version}
Provides: leechcraft-poshuku-fua = %{full_version}
Provides: leechcraft-poshuku-keywords = %{full_version}
Provides: leechcraft-poshuku-fatape = %{full_version}
Provides: leechcraft-poshuku-wyfv = %{full_version}
Provides: leechcraft-poshuku-pogooglue = %{full_version}

Obsoletes: leechcraft-poshuku-cleanweb < %{full_version}
Obsoletes: leechcraft-poshuku-filescheme < %{full_version}
Obsoletes: leechcraft-poshuku-fua < %{full_version}
Obsoletes: leechcraft-poshuku-keywords < %{full_version}
Obsoletes: leechcraft-poshuku-fatape < %{full_version}
Obsoletes: leechcraft-poshuku-wyfv < %{full_version}
Obsoletes: leechcraft-poshuku-pogooglue < %{full_version}
 
%description poshuku
Web browser for LeechCraft.
 
This package contains a full-featured web browser for LeechCraft based
on WebKit. Poshuku is fully extensible with plugins. Currently it
features:
 * support for all major web-standards;
 * integration with other plugins;
 * autodiscovery;
 * tagging bookmarks;
 * support for SQLite or PostgreSQL storage.


%package pintab
Summary:        LeechCraft Pintab Module
Requires:       %{name}%{?_isa} = %{full_version}
Provides:       leechcraft-poshuku-pintab%{?_isa} = %{full_version}
Obsoletes:      leechcraft-poshuku-pintab%{?_isa} < %{full_version}
 
%description pintab
PinTab allows to pin selected tabs so that they cannot
be closed until unpinned.


%package poshuku-onlinebookmarks
Summary:        LeechCraft Online Bookmarks Module
Requires:       %{name}-poshuku%{?_isa} = %{full_version}

Provides:       leechcraft-poshuku-delicious%{?_isa} = %{full_version}
Obsoletes:      leechcraft-poshuku-delicious%{?_isa} < %{full_version}
Provides:       leechcraft-poshuku-readitlater%{?_isa} = %{full_version}
Obsoletes:      leechcraft-poshuku-readitlater%{?_isa} < %{full_version}
 
%description poshuku-onlinebookmarks
Online bookmarks plugin for LeechCraft.
 
This package contains a plugin for the Poshuku web browser that allows
to synchronize bookmarks with services like Read It Later.


%package seekthru
Summary:        LeechCraft OpenSearch Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description seekthru
OpenSearch-support plugin for LeechCraft.
 
This package contains a search client for OpenSearch-aware web sites.

 
%package summary
Summary:        LeechCraft Summary Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description summary
Quick summary of what's going on in LeechCraft.
 
This package contains Summary which shows currently running download
tasks like BitTorrent files as well as news, events and statuses, like
unread items in RSS feed reader. It also allows to perform search
queries with instaled search plugins.

 
%package vgrabber
Summary:        LeechCraft Vkontakte Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description vgrabber
Vkontakte.ru plugin for LeechCraft.
 
This package contains a music search/grabber for the vkontakte.ru social
network.

 
%package shellopen
Summary:        Leechcraft Shellopen Module
Requires:       %{name}%{?_isa} = %{full_version}
 
%description shellopen
Support for opening files with external apps in LeechCraft.
 
This package contains module that adds an option to open files and
handle entities with external applications. For example, you may choose
to open a video file with your favorite media player instead of LC's
one.

 
%package secman
Summary:        LeechCraft Security Manager Module
Requires:       %{name}%{?_isa} = %{full_version}

Provides:       %{name}-secman%{?_isa} = %{full_version}
Obsoletes:      %{name}-secman%{?_isa} < %{full_version}
 
%description secman
Security manager for LeechCraft.
 
This package contains the base plugin for secure storage and such
stuff for LeechCraft. Particular storage backends are implemented
by plugins for this plugin.

 
%package azoth
Summary:        LeechCraft Messenger Module
Requires:       %{name}%{?_isa} = %{full_version}

Provides:       %{name}-azoth-acetamide%{?_isa} = %{full_version}
Provides:       %{name}-azoth-chathistory%{?_isa} = %{full_version}
Provides:       %{name}-azoth-autopaste%{?_isa} = %{full_version}
Provides:       %{name}-azoth-embedmedia%{?_isa} = %{full_version}
Provides:       %{name}-azoth-hili%{?_isa} = %{full_version}
Provides:       %{name}-azoth-juick%{?_isa} = %{full_version}
Provides:       %{name}-azoth-nativeemoticons%{?_isa} = %{full_version}
Provides:       %{name}-azoth-p100q%{?_isa} = %{full_version}
Provides:       %{name}-azoth-standardstyles%{?_isa} = %{full_version}
Provides:       %{name}-azoth-xoox%{?_isa} = %{full_version}
Provides:       %{name}-azoth-xtazy%{?_isa} = %{full_version}
Provides:       %{name}-azoth-depester%{?_isa} = %{full_version}
Provides:       %{name}-azoth-herbicide%{?_isa} = %{full_version}
Provides:       %{name}-azoth-rosenthal%{?_isa} = %{full_version}
Provides:       %{name}-azoth-lastseen%{?_isa} = %{full_version}
Provides:       %{name}-azoth-adiumstyles%{?_isa} = %{full_version}
Provides:       %{name}-azoth-autoidler%{?_isa} = %{full_version}
Provides:       %{name}-azoth-metacontacts%{?_isa} = %{full_version}
Provides:       %{name}-azoth-modnok%{?_isa} = %{full_version}
Provides:       %{name}-azoth-isterique%{?_isa} = %{full_version}

Obsoletes:      %{name}-azoth-acetamide%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-chathistory%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-autopaste%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-embedmedia%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-hili%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-juick%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-nativeemoticons%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-p100q%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-standardstyles%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-xoox%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-xtazy%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-depester%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-herbicide%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-rosenthal%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-lastseen%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-adiumstyles%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-autoidler%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-metacontacts%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-modnok%{?_isa} < %{full_version}
Obsoletes:      %{name}-azoth-isterique%{?_isa} < %{full_version}

%description azoth
IM client for LeechCraft.
 
This package contains an IM client for LeechCraft.


%package azoth-zheet
Summary:    LeechCraft Azoth - MSN Module
Requires:   %{name}%{?_isa} = %{full_version}

%description azoth-zheet
Azoth Zheet provide msn messenger support for Azoth.

%package azoth-astrality
Summary:    LeechCraft Azoth - Telepathy support
Requires:   %{name}%{?_isa} = %{full_version}
Requires:   telepathy-haze

%description azoth-astrality
Support for protocols provided by Telepathy for LeechCraft.

 
%package bittorrent
Summary:    BitTorrent, the BitTorrent client
Requires:   %{name}%{?_isa} = %{full_version}

%description bittorrent
BitTorrent, the BitTorrent client for LeechCraft.


%package advancednotifications
Summary:        LeechCraft AdvancedNotifications Module
Requires:       %{name}%{?_isa} = %{full_version}

%description advancednotifications
Advanced Notifications module for more customizable notifications for
Leechcraft.


%package glance
Summary:        Glance Feature Moved From the Core to a Separate Plugin
Requires:       %{name}%{?_isa} = %{full_version}
 
%description glance
%{summary}.

 
%package tabslist
Summary:        TabsList for LeechCraft Internet Client
Requires:       %{name}%{?_isa} = %{full_version}
 
%description tabslist
TabsList for showing the list of currently opened tabs and quickly selecting
one of them.


%package syncer
Summary:        Sync Setting Module for LeechCraft
Requires:       %{name}%{?_isa} = %{full_version}

%description syncer
Allows to synchronize data and settings between LeechCraft instances running on
different machines.


%package knowhow
Summary:        Tips of the day Module for LeechCraft
Requires:       %{name}%{?_isa} = %{full_version}

%description knowhow
Display tips of the day window after launch LeechCraft.


%package gmailnotifier
Summary:        GMail Notifier LeechCraft Plugin
Requires:       %{name}%{?_isa} = %{full_version}

%description gmailnotifier
GMail Notifier which notifies about new mail in your GMail inbox.


%package lackman
Summary:        Userspace Package Manager for LeechCraft
Requires:       %{name}%{?_isa} = %{full_version}

%description lackman
This package provides a userspace package manager for LeechCraft IC.


%package blackdash 
Summary:        Dashboard Plugin for LeechCraft
Requires:       %{name}%{?_isa} = %{full_version}

%description blackdash
This package provides a dashboard plugin for LeechCraft IC.


%package anhero
Summary:        Crash Handler for LeechCraft
Requires:       %{name}%{?_isa} = %{full_version}

%description anhero
This package provides a crash handler for LeechCraft IC.


%package choroid
Summary:        Image Viewer for LeechCraft
Requires:       %{name}%{?_isa} = %{full_version}

%description choroid
This package provides a image viewer for LeechCraft IC.


%package lhtr
Summary:        LeechCraft HTML WYSIWYG editor Module
Requires:       %{name}%{?_isa} = %{full_version}

%description lhtr
HTML WYSIWYG editor module, usable with mail and blog modules.


%package netstoremanager
Summary:        LeechCraft Network file storages Module
Requires:       %{name}%{?_isa} = %{full_version}

%description netstoremanager
This package contains network storage plugin for Leechcraft.


%package sidebar
Summary:        LeechCraft Sidebar Module
Requires:       %{name}%{?_isa} = %{full_version}

%description sidebar
A nice side bar with quick launch, tabs and tray areas.

%package tabsessmanager
Summary:        LeechCraft Tab Session Manager Module
Requires:       %{name}%{?_isa} = %{full_version}

%description tabsessmanager
This package contains Tab Session Manager for Leechcraft.

%package dolozhee
Summary:        LeechCraft Bug Reporter Module
Requires:       %{name}%{?_isa} = %{full_version}

%description dolozhee
The feature request and bug reporter for LeechCraft IC.


%package otlozhu
Summary:        GTD-inspired TODO Manager Module
Requires:       %{name}%{?_isa} = %{full_version}

%description otlozhu
GTD-inspired TODO manager module for Leechcraft IC.


%package xproxy
Summary:        Proxy Manager Module
Requires:       %{name}%{?_isa} = %{full_version}

%description xproxy
The advanced proxy manager for Leechcraft IC.


%package monocle
Summary:         Document Viewer Module
Requires:        %{name}%{?_isa} = %{full_version}

%description monocle
Modular document viewer for LeechCraft IC.


%package nacheku
Summary:         Directory Watcher Module
Requires:        %{name}%{?_isa} = %{full_version}

%description nacheku
Clipboard/download dir watcher for LeechCraft IC.


%package vrooby
Summary:         Storage Device Manager Module
Requires:        %{name}%{?_isa} = %{full_version}

%description vrooby
Removable storage device manager for LeechCraft IC.


%prep
%setup -qn %{name}-%{version}
%patch2
#%patch3

#removing non-free icons
rm -rf src/plugins/azoth/share/azoth/iconsets/clients/default

#removing hidden files
find src/plugins/azoth/plugins/adiumstyles/share/azoth/styles/adium/ -name ".?*" -delete

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DLEECHCRAFT_VERSION="%{version}" \
    -DENABLE_TORRENT=True \
    -DENABLE_SECMAN=True \
    -DENABLE_FTP=False \
    -DENABLE_POPISHU=True \
    -DENABLE_AZOTH=True \
    -DENABLE_EISKALTDCPP=False \
    -DENABLE_SYNCER=True \
    -DENABLE_GLANCE=True \
    -DENABLE_TABSLIST=True \
    -DENABLE_MEDIACALLS=False \
    -DSTRICT_LICENSING=True \
    -DENABLE_ADVANCEDNOTIFICATIONS=True \
    -DENABLE_KNOWHOW=True \
    -DENABLE_GMAILNOTIFIER=True \
    -DENABLE_LACKMAN=True \
    -DENABLE_QROSP=False \
    -DENABLE_LIZNOO=False \
    -DENABLE_VFSCORE=False \
    -DENABLE_BLACKDASH=True \
    -DENABLE_CHOROID=True \
    -DENABLE_PINTAB=True \
    -DENABLE_AZOTH_ZHEET=True \
    -DENABLE_AZOTH_ASTRALITY=True \
    -DENABLE_GACTS=False \
    -DENABLE_OTLOZHU=True \
    -DENABLE_DOLOZHEE=True \
    -DENABLE_XPROXY=True \
    -DENABLE_LADS=False \
    ../src  
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

desktop-file-install                                    \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
  %{SOURCE1}

%find_lang leechcraft_azoth --with-qt --without-mo
%find_lang leechcraft_azoth_acetamide --with-qt --without-mo
%find_lang leechcraft_azoth_autopaste --with-qt --without-mo
%find_lang leechcraft_azoth_chathistory --with-qt --without-mo
%find_lang leechcraft_azoth_hili --with-qt --without-mo
%find_lang leechcraft_azoth_p100q --with-qt --without-mo
%find_lang leechcraft_azoth_xoox --with-qt --without-mo
%find_lang leechcraft_azoth_xtazy --with-qt --without-mo
%find_lang leechcraft_azoth_depester --with-qt --without-mo
%find_lang leechcraft_azoth_herbicide --with-qt --without-mo
%find_lang leechcraft_azoth_rosenthal --with-qt --without-mo
%find_lang leechcraft_azoth_autoidler --with-qt --without-mo
%find_lang leechcraft_azoth_lastseen --with-qt --without-mo
%find_lang leechcraft_azoth_metacontacts --with-qt --without-mo
%find_lang leechcraft_azoth_modnok --with-qt --without-mo
%find_lang leechcraft_azoth_isterique --with-qt --without-mo
%find_lang leechcraft_azoth_vader --with-qt --without-mo
%find_lang leechcraft_azoth_birthdaynotifier --with-qt --without-mo
cat leechcraft_azoth*.lang > leechcraft_azoths.lang

%find_lang leechcraft_azoth_zheet --with-qt --without-mo
%find_lang leechcraft_azoth_astrality --with-qt --without-mo 

%find_lang leechcraft --with-qt --without-mo
%find_lang leechcraft_advancednotifications --with-qt --without-mo
%find_lang leechcraft_bittorrent --with-qt --without-mo
%find_lang leechcraft_aggregator --with-qt --without-mo
%find_lang leechcraft_auscrie --with-qt --without-mo

%find_lang leechcraft_cstp --with-qt --without-mo
%find_lang leechcraft_dbusmanager --with-qt --without-mo
%find_lang leechcraft_deadlyrics --with-qt --without-mo
%find_lang leechcraft_historyholder --with-qt --without-mo
%find_lang leechcraft_lmp --with-qt --without-mo
%find_lang leechcraft_networkmonitor --with-qt --without-mo
%find_lang leechcraft_newlife --with-qt --without-mo
%find_lang leechcraft_popishu --with-qt --without-mo
%find_lang leechcraft_xproxy --with-qt --without-mo
%find_lang leechcraft_vrooby --with-qt --without-mo
%find_lang leechcraft_monocle --with-qt --without-mo

%find_lang leechcraft_poshuku_cleanweb --with-qt --without-mo
%find_lang leechcraft_poshuku_filescheme --with-qt --without-mo
%find_lang leechcraft_poshuku_fua --with-qt --without-mo
%find_lang leechcraft_poshuku --with-qt --without-mo
%find_lang leechcraft_poshuku_fatape --with-qt --without-mo
%find_lang leechcraft_poshuku_pogooglue --with-qt --without-mo
cat leechcraft_poshuku*.lang > leechcraft_poshukus.lang

%find_lang leechcraft_poshuku_onlinebookmarks_delicious --with-qt --without-mo
%find_lang leechcraft_poshuku_onlinebookmarks_readitlater --with-qt --without-mo
%find_lang leechcraft_poshuku_onlinebookmarks --with-qt --without-mo

cat leechcraft_poshuku_onlinebookmarks*.lang > leechcraft_poshuku_onlinebookmarkss.lang

%find_lang leechcraft_seekthru --with-qt --without-mo
%find_lang leechcraft_shellopen --with-qt --without-mo
%find_lang leechcraft_summary --with-qt --without-mo
%find_lang leechcraft_vgrabber --with-qt --without-mo
%find_lang leechcraft_glance --with-qt --without-mo
%find_lang leechcraft_tabslist --with-qt --without-mo
%find_lang leechcraft_syncer --with-qt --without-mo
%find_lang leechcraft_anhero --with-qt --without-mo
%find_lang leechcraft_gmailnotifier --with-qt --without-mo
%find_lang leechcraft_lackman --with-qt --without-mo
%find_lang leechcraft_pintab --with-qt --without-mo
%find_lang leechcraft_lhtr --with-qt --without-mo
%find_lang leechcraft_tabsessmanager --with-qt --without-mo
%find_lang leechcraft_otlozhu --with-qt --without-mo
%find_lang leechcraft_dolozhee --with-qt --without-mo


%find_lang leechcraft_netstoremanager --with-qt --without-mo
%find_lang leechcraft_netstoremanager_yandexdisk --with-qt --without-mo
cat leechcraft_netstoremanager*.lang > leechcraft_netstoremanagers.lang

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f leechcraft.lang
%doc README COPYING INSTALL
%{_bindir}/%{name}
%{_bindir}/%{name}-add-file
%{settings_dir}/coresettings.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%dir %{_datadir}/icons/hicolor/14x14
%dir %{_datadir}/icons/hicolor/14x14/apps
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/installed
%dir %{settings_dir}
%dir %{translations_dir}
%dir %{_datadir}/%{name}/scripts
%dir %{_datadir}/%{name}/qml
%dir %{_libdir}/%{name}
%dir %{plugin_dir}
%{_datadir}/%{name}/global_icons
%{_libdir}/liblcutil.so.0.5.0
%{_libdir}/libxmlsettingsdialog.so.0.3.0
%doc %{_mandir}/man1/%{name}.1.gz
%{_datadir}/%{name}/sounds

%files full

%files devel
%{_datadir}/%{name}/cmake
%{_datadir}/cmake/Modules/InitLCPlugin.cmake
%{_includedir}/%{name}
%{_libdir}/*lcutil.so
%{_libdir}/*xmlsettingsdialog.so

%files otlozhu -f leechcraft_otlozhu.lang
%{plugin_dir}/libleechcraft_otlozhu.so

%files dolozhee -f leechcraft_dolozhee.lang
%{plugin_dir}/libleechcraft_dolozhee.so

%files xproxy -f leechcraft_xproxy.lang
%{plugin_dir}/libleechcraft_xproxy.so
%{settings_dir}/xproxysettings.xml

%files advancednotifications -f leechcraft_advancednotifications.lang
%{plugin_dir}/libleechcraft_advancednotifications.so
%{settings_dir}/advancednotificationssettings.xml
%{_datadir}/%{name}/qml/advancednotifications

%files bittorrent -f leechcraft_bittorrent.lang
%{settings_dir}/torrentsettings.xml
%{plugin_dir}/libleechcraft_bittorrent.so

%files aggregator -f leechcraft_aggregator.lang
%{settings_dir}/aggregatorsettings.xml
%{plugin_dir}/libleechcraft_aggregator.so
%{_datadir}/%{name}/scripts/aggregator/
%{plugin_dir}/libleechcraft_aggregator_bodyfetch.so
 
%files auscrie -f leechcraft_auscrie.lang
%{plugin_dir}/lib%{name}_auscrie.so
 
%files azoth -f leechcraft_azoths.lang
%dir %{azoth_dir}
%dir %{azoth_dir}/styles
%{azoth_dir}/emoticons
%{azoth_dir}/iconsets
%{settings_dir}/azothsettings.xml
%{plugin_dir}/libleechcraft_azoth.so
%{settings_dir}/azothacetamidesettings.xml
%{plugin_dir}/libleechcraft_azoth_acetamide.so
%{settings_dir}/azothautopastesettings.xml
%{plugin_dir}/libleechcraft_azoth_autopaste.so
%{plugin_dir}/libleechcraft_azoth_chathistory.so
%{plugin_dir}/libleechcraft_azoth_embedmedia.so
%{settings_dir}/azothhilisettings.xml
%{plugin_dir}/libleechcraft_azoth_hili.so
%{plugin_dir}/libleechcraft_azoth_juick.so
%{plugin_dir}/libleechcraft_azoth_birthdaynotifier.so
%{settings_dir}/azothbirthdaynotifiersettings.xml
%{settings_dir}/azothchathistorysettings.xml
%{plugin_dir}/libleechcraft_azoth_nativeemoticons.so
%{settings_dir}/azothp100qsettings.xml
%{plugin_dir}/libleechcraft_azoth_p100q.so
%{plugin_dir}/libleechcraft_azoth_standardstyles.so
%{azoth_dir}/styles/standard
%{plugin_dir}/libleechcraft_azoth_xoox.so
%{settings_dir}/azothxtazysettings.xml
%{plugin_dir}/libleechcraft_azoth_xtazy.so
%{plugin_dir}/libleechcraft_azoth_depester.so
%{plugin_dir}/libleechcraft_azoth_herbicide.so
%{settings_dir}/azothherbicidesettings.xml
%{plugin_dir}/libleechcraft_azoth_rosenthal.so
%{settings_dir}/azothrosenthalsettings.xml
%{plugin_dir}/libleechcraft_azoth_adiumstyles.so
%{azoth_dir}/styles/adium
%{plugin_dir}/libleechcraft_azoth_autoidler.so
%{settings_dir}/azothautoidlersettings.xml
%{plugin_dir}/libleechcraft_azoth_lastseen.so
%{plugin_dir}/libleechcraft_azoth_metacontacts.so
%{plugin_dir}/libleechcraft_azoth_modnok.so
%{settings_dir}/azothmodnoksettings.xml
%{azoth_dir}/lc_azoth_modnok_latexconvert.sh
%{plugin_dir}/libleechcraft_azoth_isterique.so
%{settings_dir}/azothisteriquesettings.xml
%{plugin_dir}/libleechcraft_azoth_keeso.so
%{plugin_dir}/libleechcraft_azoth_vader.so
%{settings_dir}/azothvadersettings.xml

%files azoth-zheet -f leechcraft_azoth_zheet.lang
%{plugin_dir}/libleechcraft_azoth_zheet.so

%files azoth-astrality -f leechcraft_azoth_astrality.lang
%{plugin_dir}/libleechcraft_azoth_astrality.so

%files cstp -f leechcraft_cstp.lang
%{settings_dir}/cstpsettings.xml
%{plugin_dir}/*leechcraft_cstp.so
 
%files dbusmanager -f leechcraft_dbusmanager.lang
%{plugin_dir}/*leechcraft_dbusmanager.so
%{settings_dir}/dbusmanagersettings.xml
 
%files deadlyrics -f leechcraft_deadlyrics.lang
%{settings_dir}/deadlyricssettings.xml
%{plugin_dir}/libleechcraft_deadlyrics.so
 
%files historyholder -f leechcraft_historyholder.lang
%{plugin_dir}/*leechcraft_historyholder.so
 
%files kinotify
%{_datadir}/%{name}/kinotify
%{settings_dir}/kinotifysettings.xml
%{plugin_dir}/libleechcraft_kinotify.so
 
%files lmp -f leechcraft_lmp.lang
%{settings_dir}/lmpsettings.xml
%{plugin_dir}/libleechcraft_lmp.so
%{plugin_dir}/libleechcraft_lmp_dumbsync.so
%{plugin_dir}/libleechcraft_lmp_mp3tunes.so
%{settings_dir}/lmpmp3tunessettings.xml 

%files networkmonitor -f leechcraft_networkmonitor.lang
%{plugin_dir}/libleechcraft_networkmonitor.so
 
%files newlife -f leechcraft_newlife.lang
%{plugin_dir}/libleechcraft_newlife.so
 
%files pintab -f leechcraft_pintab.lang
%{plugin_dir}/libleechcraft_pintab.so
 
%files popishu -f leechcraft_popishu.lang
%{settings_dir}/popishusettings.xml
%{plugin_dir}/libleechcraft_popishu.so
 
%files poshuku -f leechcraft_poshukus.lang
%{_datadir}/%{name}/installed/poshuku/
%{settings_dir}/poshukusettings.xml
%{plugin_dir}/libleechcraft_poshuku.so
%{settings_dir}/poshukucleanwebsettings.xml
%{plugin_dir}/libleechcraft_poshuku_cleanweb.so
%{plugin_dir}/libleechcraft_poshuku_filescheme.so
%{plugin_dir}/libleechcraft_poshuku_keywords.so
%{settings_dir}/poshukukeywordssettings.xml
%{settings_dir}/poshukufuasettings.xml
%{plugin_dir}/libleechcraft_poshuku_fua.so
%{settings_dir}/poshukufatapesettings.xml
%{plugin_dir}/libleechcraft_poshuku_fatape.so
%{plugin_dir}/libleechcraft_poshuku_pogooglue*
 
%files poshuku-onlinebookmarks -f leechcraft_poshuku_onlinebookmarkss.lang
%{settings_dir}/poshukuonlinebookmarkssettings.xml
%{plugin_dir}/libleechcraft_poshuku_onlinebookmarks.so
%{plugin_dir}/*_readitlater.so
%{plugin_dir}/*_delicious.so

%files secman
%{plugin_dir}/libleechcraft_secman.so
%{plugin_dir}/libleechcraft_secman_simplestorage.so
 
%files seekthru -f leechcraft_seekthru.lang
%{settings_dir}/seekthrusettings.xml
%{plugin_dir}/libleechcraft_seekthru.so
 
%files shellopen -f leechcraft_shellopen.lang
%{plugin_dir}/libleechcraft_shellopen.so
 
%files summary -f leechcraft_summary.lang
%{plugin_dir}/libleechcraft_summary.so
 
%files vgrabber -f leechcraft_vgrabber.lang
%{settings_dir}/vgrabbersettings.xml
%{plugin_dir}/libleechcraft_vgrabber.so
 
%files glance -f leechcraft_glance.lang
%{plugin_dir}/libleechcraft_glance.so
 
%files tabslist -f leechcraft_tabslist.lang
%{plugin_dir}/libleechcraft_tabslist.so

%files syncer -f leechcraft_syncer.lang
%{plugin_dir}/libleechcraft_syncer.so
%{settings_dir}/syncersettings.xml

%files knowhow
%{_datadir}/%{name}/knowhow
%{plugin_dir}/libleechcraft_knowhow.so
%{settings_dir}/knowhowsettings.xml

%files anhero -f leechcraft_anhero.lang
%{plugin_dir}/libleechcraft_anhero.so

%files blackdash
%{plugin_dir}/libleechcraft_blackdash.so

%files choroid
%{_datadir}/%{name}/qml/choroid
%{plugin_dir}/libleechcraft_choroid.so

%files gmailnotifier -f leechcraft_gmailnotifier.lang
%{plugin_dir}/libleechcraft_gmailnotifier.so
%{settings_dir}/gmailnotifiersettings.xml

%files lackman -f leechcraft_lackman.lang
%{settings_dir}/lackmansettings.xml
%{plugin_dir}/libleechcraft_lackman.so

%files lhtr -f leechcraft_lhtr.lang
%{plugin_dir}/libleechcraft_lhtr.so

%files netstoremanager -f leechcraft_netstoremanagers.lang
%{plugin_dir}/libleechcraft_netstoremanager*
%{settings_dir}/netstoremanagersettings.xml

%files sidebar
%{plugin_dir}/libleechcraft_sidebar.so

%files tabsessmanager -f leechcraft_tabsessmanager.lang
%{plugin_dir}/libleechcraft_tabsessmanager.so

%files nacheku
%{plugin_dir}/libleechcraft_nacheku.so
%{settings_dir}/nachekusettings.xml

%files monocle -f leechcraft_monocle.lang
%{plugin_dir}/libleechcraft_monocle*.so
%{settings_dir}/monoclesettings.xml

%files vrooby -f leechcraft_vrooby.lang
%{plugin_dir}/libleechcraft_vrooby*.so

%changelog
* Sat Aug 11 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.80-1
- Azoth Birthday notifier plugin
- LMP mp3tunes plugin

* Sun Jul 29 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.75-1
- Removing poshuku wyfv
- Storage device manager plugin package 

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.70-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.70-3
- Fixing the bug #834313

* Sun Jun 10 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.70-2
- Removing the patch for GCC 4.7

* Sun Jun 10 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.70-1
- LMP Player
- Nacheku, Monocle plugins

* Wed Apr 25 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.65-1
- Adding bug reporter and GTD-inspired TODO manager plugins.
- Other fixes http://leechcraft.org/leechcraft-0.5.65-is-released

* Sat Mar 24 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.60-5
- Cleaning the spec file

* Sun Mar 18 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.60-4
- Adding the dependency for azoth-astrality

* Sun Mar 18 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.60-3
- fixing dependencies for pintab

* Sun Mar 18 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.60-2
- Fixing Provides && Obsoletes list

* Sat Mar 17 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.60-1
- Changes http://leechcraft.org/leechcraft-0.5.60-is-released
- Fixing source for GCC 4.7.0
- Removing tabpp plugin
- Renaming the leechcraft-poshuku-pintab package
- Removing oxygen-iconset package
- Mergin Azoth plugins && Poshuku plugins
- Adding packages: zheet, astraliti, sidebar and others

* Wed Mar 14 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.0-4
- Disabling eiskaltcpp plugin (Cannot be built for F17
- http://dev.leechcraft.org/issues/600 )

* Sun Mar 11 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.0-3
- fixing dependencies

* Sat Mar 08 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.0-2
- fixing the cmake command
- fixing dependencies of iconset packages
- removing tango-iconset package
- updating icon cache
- find_lang scripts

* Sun Feb 19 2012 Minh Ngo <nlminhtl@gmail.com> 0.5.0-1
- 0.5.0 release
- Changes http://leechcraft.org/leechcraft-0.5.0-is-released 

* Tue Feb 07 2012 Minh Ngo <nlminhtl@gmail.com> 0.4.99-1
- 0.4.99 release
- Changes http://leechcraft.org/leechcraft-0.4.99-is-released

* Mon Feb 06 2012 Minh Ngo <nlminhtl@gmail.com> 0.4.98-3
- fixing the package leechcraft-acetamide name.
- fixing the description.

* Sun Jan 15 2012 Minh Ngo <nlminhtl@gmail.com> 0.4.98-2
- New packages:
- * gmailnotifier - Google GMail service notifier
- * lackman - userspace package manager
- * anhero - crash handler
- Removing %%defattr(-,root,root,-) tag
- Removing tags for f14 or earlier

* Fri Jan 13 2012 Minh Ngo <nlminhtl@gmail.com> 0.4.98-1
- leechcraft metapackage
- Changes http://leechcraft.org/leechcraft-0.4.98-is-released

* Tue Jan 10 2012 Minh Ngo <nlminhtl@gmail.com> 0.4.97-1
- Adding %%{?_isa} macro into Requires tags
- Chaging the default style from Plastique to Default
- Release notes http://leechcraft.org/leechcraft-0.4.97-is-released

* Mon Dec 05 2011 Minh Ngo <nlminhtl@gmail.com> 0.4.95-2
- Add eiskaltdcpp-fix-php5-issue.patch - fix resolving 
- /usr/bin/php5 dependence

* Wed Nov 30 2011 Minh Ngo <nlminhtl@gmail.com> 0.4.95-1
- new packages: pogooglue, delicious, readitlater, isterique
- removing qt-multimedia from dependencies
- optimizing the spec file by using macros

* Thu Aug 04 2011 Minh Ngo <nlminhtl@gmail.com> 0.4.85-2
- some patches for dynamic qxmpp libraries

* Mon Jul 25 2011 Minh Ngo <nlminhtl@gmail.com> 0.4.85-1
- new packages: tabslist, glance, azoth-modnok,
- azoth-metacontacts, azoth-lastseen, azoth-adiumstyles,
- azoth-autoidler

* Mon Jul 04 2011 Minh Ngo <nlminhtl@gmail.com> - 0.4.80-0.1
- 0.4.80 release
- azoth depester plugin
- azoth herbicide plugin
- azoth rosenthal plugin

* Mon Jun 06 2011 Minh Ngo <nlminhtl@gmail.com> - 0.4.75-0.1.gitga29292b
- initial build 
